import { createApp } from "vue";
import App from "./App.vue";
import router from "@/router";
import axios from "@/plugins/axios";
import installElementPlus from "@/plugins/element";
import permission from "@/plugins/permission";
import "nprogress/nprogress.css";
import "@/styles/common.scss";

const app = createApp(App);

app
  .use(installElementPlus)
  .use(router)
  .use(axios, { router, opt: "VE_API" })
  .use(permission, { router });

app.mount("#app");
